import pika
import json
import sys

def read(ch, method, properties, body):
	try:
		print str(type(body)) + " | " + json.loads(body)["text"]
	except:
		print str(type(body)) + " | " + body

def run(queue_name):
	credentials = pika.PlainCredentials('test', 'test')
	connection = pika.BlockingConnection(pika.ConnectionParameters(host='150.165.205.10', credentials=credentials))
	channel = connection.channel()
	channel.basic_qos(prefetch_count=1)
	channel.basic_consume(read,
				  queue=queue_name,
				  no_ack=True)
	channel.start_consuming()
	channel.close()
	connection.close()

if __name__ == '__main__':
	queue = sys.argv[1]
	run(queue)