import pika
import json
import logging
import sys

logging.basicConfig(format='%(levelname)s:%(message)s', level=logging.CRITICAL)

def run(id):
	credentials = pika.PlainCredentials('test', 'test')
	connection = pika.BlockingConnection(pika.ConnectionParameters(host='150.165.205.10', credentials=credentials))
	channel = connection.channel()
	queue = "requests"
	#message = {"subtitle": "http://150.165.205.69:8000/legenda.srt", "video":"http://150.165.205.69:8000/video.mp4", "window_position":"1", "window_size":"1", "type":"video"}
	message = {"subtitle": "http://150.165.205.132:8000/legenda.srt", "video":"http://150.165.205.132:8000/1_second.mp4", "window_position":"1", "window_size":"1", "type":"video"}
	channel.basic_publish(exchange='',
					  routing_key=queue,
					  properties=pika.BasicProperties(correlation_id = id),
					  body=json.dumps(message))
	channel.close()
	connection.close()

if __name__ == '__main__':
	id = sys.argv[1]
	run(id)